<div class="container-fluid">
  <nav class="navbar navbar-expand-lg navbar-light bg-light">
    <a class="navbar-brand" [routerLink]="['/inicio']">{{title}}</a>
    <button class="navbar-toggler" type="button" data-toggle="collapse" data-target="#navbarSupportedContent"
      aria-controls="navbarSupportedContent" aria-expanded="false" aria-label="Toggle navigation">
      <span class="navbar-toggler-icon"></span>
    </button>

    <div class="collapse navbar-collapse" id="navbarSupportedContent">
      <ul class="navbar-nav mr-auto">
        <li class="nav-item active">
          <a class="nav-link" [routerLink]="['/inicio']">Inicio <span class="sr-only">(current)</span></a>
        </li>
        <li class="nav-item">
          <a class="nav-link" [routerLink]="['/temas']">Ver temas</a>
        </li>
        <li class="nav-item">
          <a class="nav-link" [routerLink]="['/panel/crear']" *ngIf="identity">Crear temas</a>
        </li>
        <li class="nav-item ml-4">
          <form class="form-inline my-2 my-lg-0" #formSearch="ngForm" (ngSubmit)="onSubmit(formSearch)">
            <input class="form-control mr-sm-2" type="search" placeholder="Buscar temas"
             aria-label="Search" name="busqueda" #busqueda="ngModel" [(ngModel)]="searchString">
            <button class="btn btn-outline-success my-2 my-sm-0" type="submit">Buscar</button>
          </form>
        </li>
      </ul>
      <ul class="navbar-nav mr-5">
        <li class="nav-item">
          <a class="nav-link" [routerLink]="['/registro']" *ngIf="!identity">Registro</a>
        </li>
        <li class="nav-item">
          <a class="nav-link" [routerLink]="['/login']" *ngIf="!identity">Login</a>
        </li>

        <li class="nav-item ml-3" *ngIf="identity">
            <img src="{{url+'/avatar/'+identity.image}}" alt="" class="avatar-menu" *ngIf="identity.image!=null">
            <img src="{{url+'/avatar/user-default.png'}}" alt="" class="avatar-menu" *ngIf="identity.image==null">
        </li>
        <li class="nav-item dropdown" *ngIf="identity!=null">
          <a class="nav-link dropdown-toggle" href="#" id="navbarDropdown" role="button" data-toggle="dropdown"
            aria-haspopup="true" aria-expanded="false">
           {{identity.name+' '+identity.surname}}
          </a>
          <div class="dropdown-menu" aria-labelledby="navbarDropdown">
            <a class="dropdown-item" [routerLink]="['/panel']">Panel de usuario</a>
            <a class="dropdown-item" [routerLink]="['/perfil',identity._id]">Mi perfil</a>
            <a class="dropdown-item" [routerLink]="['/ajustes']">Ajustes</a>
            <div class="dropdown-divider"></div>
            <a class="dropdown-item" (click)="logOut()" style="cursor:pointer">Cerrar sesión</a>
          </div>
        </li>
      </ul>
    </div>
  </nav>

  <router-outlet></router-outlet>

</div>